Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSqlResult.VirtualHookOperation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSqlResult.VirtualHookOperation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSqlResult

    public static final class QSqlResult.VirtualHookOperation

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QSqlResult.VirtualHookOperation` | `BatchOperation`
`static QSqlResult.VirtualHookOperation` | `DetachFromResultSet`
`static QSqlResult.VirtualHookOperation` | `NextResult`
`static QSqlResult.VirtualHookOperation` | `SetNumericalPrecision`

Method Summary
`static QSqlResult.VirtualHookOperation` | `resolve(int value)` Returns the QSqlResult$VirtualHookOperation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlResult.VirtualHookOperation` | `valueOf(java.lang.String name)`
`static QSqlResult.VirtualHookOperation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BatchOperation

    public static final QSqlResult.VirtualHookOperation BatchOperation

### DetachFromResultSet

    public static final QSqlResult.VirtualHookOperation DetachFromResultSet

### SetNumericalPrecision

    public static final QSqlResult.VirtualHookOperation SetNumericalPrecision

### NextResult

    public static final QSqlResult.VirtualHookOperation NextResult

Method Detail

### values

    public static QSqlResult.VirtualHookOperation[] values()

### valueOf

    public static QSqlResult.VirtualHookOperation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlResult.VirtualHookOperation resolve(int value)

  Returns the QSqlResult$VirtualHookOperation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD